## com.baidubce.services.lss.model
Class RefreshSessionResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.lss.model.RefreshSessionResponse

    public class RefreshSessionResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`RefreshSessionResponse()`

Method Summary
`String` `getCreateTime()`
`String` `getDescription()`
`SessionErrorInfo` `getError()`
`String` `getNotification()`
`LivePlay` `getPlay()`
`String` `getPreset()`
`LivePublish` `getPublish()`
`String` `getSecurityPolicy()`
`String` `getSessionId()`
`String` `getStatus()`
`String` `getStreamingStatus()`
`void` `setCreateTime(String createTime)`
`void` `setDescription(String description)`
`void` `setError(SessionErrorInfo error)`
`void` `setNotification(String notification)`
`void` `setPlay(LivePlay play)`
`void` `setPreset(String preset)`
`void` `setPublish(LivePublish publish)`
`void` `setSecurityPolicy(String securityPolicy)`
`void` `setSessionId(String sessionId)`
`void` `setStatus(String status)`
`void` `setStreamingStatus(String streamingStatus)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RefreshSessionResponse

    public RefreshSessionResponse()

Method Detail

### getSessionId

    public String getSessionId()

### setSessionId

    public void setSessionId(String sessionId)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getPreset

    public String getPreset()

### setPreset

    public void setPreset(String preset)

### getCreateTime

    public String getCreateTime()

### setCreateTime

    public void setCreateTime(String createTime)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getNotification

    public String getNotification()

### setNotification

    public void setNotification(String notification)

### getSecurityPolicy

    public String getSecurityPolicy()

### setSecurityPolicy

    public void setSecurityPolicy(String securityPolicy)

### getStreamingStatus

    public String getStreamingStatus()

### setStreamingStatus

    public void setStreamingStatus(String streamingStatus)

### getPublish

    public LivePublish getPublish()

### setPublish

    public void setPublish(LivePublish publish)

### getPlay

    public LivePlay getPlay()

### setPlay

    public void setPlay(LivePlay play)

### getError

    public SessionErrorInfo getError()

### setError

    public void setError(SessionErrorInfo error)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.